﻿@{
    ViewBag.Title = "MessageBox";
    Layout = "~/Views/Shared/_QuickStartLayout.cshtml";
}
@section HeadCss
{
    <link href="../../Content/plugins/dialog/jquery.modaldialog.css" rel="stylesheet"
        type="text/css" />
    <style type="text/css">
        .quickstartexample
        {
            border-style: solid;
            border-color: #ddd;
            border-width: 1px;
            border-radius: 4px;
            padding: 10px;
        }
        .p-h-zh
        {
            font-family: 微软雅黑;
        }
    </style>
}
@section Scripts
{
    <script src="../../Scripts/Public/sa/jquery.sa.ajax.js" type="text/javascript"></script>
    <script src="../../Scripts/Public/resource.js" type="text/javascript"></script>
    <script src="../../Scripts/Public/sa/jquery.sa.dialog.js" type="text/javascript"></script>
    <script type="text/javascript" language="JavaScript">

	</script>
}
<div class="container-fluid">
    <div class="row">
        <div class="col-md-1">
        </div>
        <div class="col-md-9">
            <h1>
                Show Error</h1>
            <a href="javascript:$.sa.error('The operation failed.');">Error</a>
            <h5>
                代码实现：</h5>
            <pre class="prettyprint linenums">$.sa.error('The operation failed.');</pre>
            <hr />
            <h1>
                Show Warning</h1>
            <a href="javascript:$.sa.warning('There were problems processing the log file.');">Warning</a>
            <h5>
                代码实现：</h5>
            <pre class="prettyprint linenums">$.sa.warning('There were problems processing the log file.');</pre>
            <hr />
            <h1>
                Show Alert</h1>
            <a href="javascript:$.sa.alert('Great win detected in sector.');">Alert</a>
            <h5>
                代码实现：</h5>
            <pre class="prettyprint linenums">$.sa.alert('Great win detected in sector.');</pre>
            <hr />
            <h1>
                Show Alert with position and AutoDisappear</h1>
            <a href="javascript:$.sa.alert('Great win detected in sector.',{position:'rbottom',timeout:1,isModal:false});">
                Alert2</a>
            <h5>
                代码实现：</h5>
            <pre class="prettyprint linenums">$.sa.alert('Great win detected in sector.',{position:'rbottom',timeout:1,isModal:false});</pre>
            <hr />
            <h1>
                Show Confirmation With fnOk/fnCancel(点击ok或cancel时的回调函数)</h1>
            <a href="javascript:$.sa.confirm('Are you sure you want to quit?',{fnOk:fnOk1,fnCancel:function(){alert('点击cancel后的回调函数');}});">
                confirm</a>
            <script type="text/javascript" language="JavaScript">
                function fnOk1() {
                    $(".close").click();
                    alert("点击ok后的回调函数");
                }
            </script>
            <h5>
                代码实现：</h5>
            <pre class="prettyprint linenums">
$.sa.confirm('Are you sure you want to quit?',{fnOk:fnOk1,fnCancel:function(){alert('点击cancel后的回调函数');}});

function fnOk1() {
    $(".close").click();
    alert("点击ok后的回调函数");
}
</pre>
            <hr />
            <h1>
                Show Confirmation without fn</h1>
            <a href="javascript:$.sa.confirm('Are you sure you want to quit?',{fnOk:function(){$('.close').click();}});">
                confirm2</a>
            <pre class="prettyprint linenums">$.sa.confirm('Are you sure you want to quit?',{fnOk:function(){$('.close').click();}});</pre>
            <hr />
            <h1>
                Set Title</h1>
            <a href="javascript:$.sa.alert('All files have been deleted.', { title: 'Custom Title!' });">
                Set Title</a>
            <h5>
                代码实现：</h5>
            <pre class="prettyprint linenums">$.sa.alert('All files have been deleted.', { title: 'Custom Title!' });</pre>
            <hr />
            <h1>
                Set Dialog Width</h1>
            <a href="javascript:$.sa.alert('Not much here.', { width: 200 });">Dialog Width</a>
            <h5>
                代码实现：</h5>
            <pre class="prettyprint linenums">$.sa.alert('Not much here.', { width: 200 });</pre>
            <hr />
            <h1>
                Set AutoClose Time</h1>
            <a href="javascript:$.sa.alert('Autoclosing in 5 seconds.', { timeout: 5 });">AutoClose</a>
            <h5>
                代码实现：</h5>
            <pre class="prettyprint linenums">$.sa.alert('Autoclosing in 5 seconds.', { timeout: 5 });</pre>
            <hr />
            <h1>
                Set AutoClose Time and Hide Close Buttons</h1>
            <a href="javascript:$.sa.alert('Autoclosing in 5 seconds.', { timeout: 5, showClose: false });">
                Hide Close Buttons</a>
            <h5>
                代码实现：</h5>
            <pre class="prettyprint linenums">$.sa.alert('Autoclosing in 5 seconds.', { timeout: 5, showClose: false });</pre>
            <hr />
            <h1>
                ReturnDialog</h1>
            <script type="text/javascript">
                var myDialog = null;
                function TestReturnDialog() {
                    myDialog = $.sa.error("调用dialog对象close方法自关闭");
                    window.setTimeout("myDialog.close();", 3000);
                }
            </script>
            <a href="javascript:TestReturnDialog();">ReturnDialog</a>
            <h5>
                代码实现：</h5>
            <pre class="prettyprint linenums">
var myDialog = null;
    function TestReturnDialog() {
        myDialog = $.sa.error("调用dialog对象close方法自关闭");
        window.setTimeout("myDialog.close();", 3000);
    }
</pre>
            <hr />
            <h1>
                maxWidth、minWidth</h1>
            <a href="javascript:$.sa.alert('maxWidth、minWidth.', { maxWidth:'400px',minWidth:'300px' });">
                max/min/Width</a>
            <h5>
                代码实现：</h5>
            <pre class="prettyprint linenums">$.sa.alert('maxWidth、minWidth.', { maxWidth:'400px',minWidth:'300px' });</pre>
            <hr />
        </div>
    </div>
</div>
